/* 
 * Default Styling for all Servoy objects
 */
form {
	background-color: #f8f8f8;
	border: none;
}

body.data,title_header {
	background-color: #f8f8f8;
}

body.gradient {
	background-image: linear-gradient(top, #424242, #515151);
}

tabpanel {
	border: 0px solid;
}

label,button,field,combobox,check,radio,listbox,spinner,calendar,text {
	font-family: Calibri, Arial, sans-serif;
	font-size: 11px !important;
	color: #727784;
}

label.link{
  color: #0066cc;
}

label.minimal,field.minimal,button.minimal {
	font-size: 7px;
}

label.tiny,field.tiny,radio.tiny,button.tiny {
	font-size: 8px;
	color: #727784;
}

label.small,field.small,combobox.small,button.small {
	font-size: 10px;
}

label.mini,field.mini,combobox.mini,button.mini {
	font-size: 9px;
}

label.mini-bold,field.mini-bold,combobox.mini-bold,button.mini-bold {
	font-size: 9px;
	font-weight: bold;;
}

label.small-bold,button.small-bold {
	font-size: 9px;
	font-weight: bold;;
}

field,combobox {
	background-color: #FFF;
	border: 1px solid #ccc;
	text-align: right;
	margin-left: 4px;
	margin-right: 4px;
	text-align: left;
	font-size: 11px !important;
}

check {
	
}

radio {
	
}

listbox {
	
}

spinner {
	
}

label.mediawork {
	color: #727784;
}

label.dayName {
	font-size: 14px;
}

label.fieldlabel {
	text-align: right;
	font-size: 8px;
}

label.title {
	font-size: 12px;
}

label.nav {
	font-size: 14px;
	color: #e1e1e1;
}

label.title {
	font-size: 18px;
	color: #e1e1e1;
}

label.nav-bold {
	font-size: 18px;
	font-weight: bold;
	color: #e1e1e1;
}

label.nav-action {
	font-size: 10px;
	color: #e1e1e1;
	text-align: right;
}

label.tab {
	font-size: 12px;
	color: #e1e1e1;
	text-align: center;
	margin: 0;
}

label.bold,field.bold,button.bold {
	font-weight: bold;
}

button {
	
}

portal {
	
}

/* Example of odd/even/selected row styling in grids (Portals and TableViews)*/
odd,even,selected {
	background-color: #FFF;
	color: #5C5C5D;
	border-bottom: 1px solid #CCC;
}

odd {
	background-color: #FFF;
}

even {
	
}

selected {
	background-color: #DBE3EB;
}

/* 
 * Example of additional grid styling (Portals and TableViews)
 * The gridheader and gridcell style classes needs to be set on resp. the header labels and the cell elements of TableView's and Portals
 */
label.gridheader,field.gridcell,check.gridcell,radio.gridcell,listbox.gridcell,spinner.gridcell,combobox.gridcell,label.gridcell,button.gridcell
	{
	border: 0px solid #C9CACA;
	border-right-width: 1px;
	margin-left: 5px;
	margin-right: 3px;
}

label.gridheader {
	text-align: left;
	color: #5C5C5D;
}

tabpanel.grid { /*Style for a TabPanel that contains just a TableView*/
	border: 1px solid #C9CACA;
}

tabpanel {
	border: none;
}

/*
 * Example style for the main form of a solution
 */
form.main {
	background-color: #667281;
}

/* 
 * Example of how to define custom styling for a form with a specific StyleClass
 * These styles are applied to form and its element on forms on which the StyleClass is set to "detail"
 */
form.detail {
	
}

form.detail field.pk {
	/*Style for Fields having a StyleClass "pk" on a form having StyleClass ""detail*/
	background-color: #5B6B7B;
	color: #FFF;
	border: 0px solid #FFF;
	border-left-width: 1px;
	/*This makes the field appear the same width when left aligned with a field that has a 2px ridge border*/
}

tabpanel.detail {
	/*StyleClass for a tabpanel in which a detail form is displayed*/
	border: 3px solid #FFF;
}

select {
	padding:0;
}

field.date, calendar.date, text.date {
	font-family: Calibri, Arial, sans-serif !important;
	font-size: 9px !important;
}

label.small-red,field.small-red,combobox.small-red {
	font-size: 10px;
	color: #FF0000
}

label.small-blu,field.small-blu,combobox.small-blu {
	font-size: 10px;
	color: #0080c0
}

label.small-spxcolor,field.small-spxcolor,combobox.small-spxcolor {
	font-size: 10px;
	color: #ff6600
}

label.bold-red, field.bold-red {
	font-weight: bold;
	color: #FF0000
}
label.bold-spxcolor, field.bold-spxcolor {
	font-weight: bold;
	color: #ff6600
}

label.bold-blu, field.bold-blu {
	font-weight: bold;
	color: #0080c0
}

field.not_enabled,combobox.not_enabled {
background-color: #dbdbdb;
}
